Linux mint продолжает сбой с официальными драйверами nvidia

У меня ноутбук ASUS UX50V. И 64-битная версия Linux Mint 18 32-бит и Linux Mint 18.1 идентифицируют видеокарту как «NVIDIA Corporation: G98M [ GeForce G 105M ]». Https://www.asus.com/Notebooks/UX50V/specifications/ согласуется с обозначением 105M.

Я добавляю «ppa: graphics-drivers / ppa» в качестве источника программного обеспечения на https://johners.tech/2016/07/installing-the-latest-nvidia-graphics-drivers-on-linux-mint-18/ , И затем я вижу два варианта nvidia, доступных мне:

  • Nvidia-304 (бинарный драйвер NVIDIA – версия 304.134)
  • Nvidia-340 (бинарный драйвер NVIDIA – версия 340.101)

Всякий раз, когда я устанавливаю его для использования, я получаю следующее сообщение об ошибке:

Корица просто разбилась. Вы в настоящий момент работаете в режиме возврата.

Вы хотите перезапустить Cinnamon?

Вот /var/log/Xorg.0.log для 32-разрядной установки с драйвером 304.xx:

http://pastebin.com/fVfeKqfd

Вот /var/log/Xorg.0.log для 64-разрядной установки с драйвером 340.xx:

http://pastebin.com/w8WS1Wnu

Оба журнала имеют те же две ошибки:

 (EE) [drm] Failed to open DRM device for (null): -22 (EE) Failed to initialize GLX extension (Compatible NVIDIA X driver not found) 

Я попробовал оба драйвера и получил тот же результат. GeForce G 105M просто не поддерживается? Если да, то почему Driver Manager будет отображать как подходящие драйверы?

Я бы определенно начал, глядя на журналы Xorg. Если Xorg падает с попытки загрузки, он должен регистрировать причины, по которым это происходит. Это часто происходит из-за несовместимых версий драйвера Xorg и vs kernel.

Согласно информации на http://www.nvidia.com/object/IO_32667.html , для вашей видеокарты требуется драйвер 340.xx; Старшая 304.xx не поддерживает поддержку вашей карты.

Ошибка, которую вы получаете в журнале Xorg, происходит потому, что загружается ядро ​​304.134 и драйвер / модули X –
[33.425] (II) NVIDIA GLX Module 304.134 Fri Dec 9 12:08:55 PST 2016
[33.617] (II) NVIDIA dlloader X Driver 304.134 Fri Dec 9 11:48:48 PST 2016
И затем он выгружает его –
[33.658] (II) UnloadModule: "nvidia"

Я бы предложил две вещи.
Во-первых, убедитесь, что все версии NVidia X и драйверы ядра удалены.
Затем установите только последний драйвер 340.xx.

В прошлом у меня были проблемы с использованием упакованного драйвера (который, кажется, вы есть), и с использованием проприетарного установщика NVidia, загруженного непосредственно с их сайта, на том же компьютере, но в разное время, в конечном итоге будут установлены как установленные, так и весьма вероятные Быть в конфликте друг с другом.

Другая возможность заключается в том, что драйвер в стиле нуворишей не попадает в черный список. Как правило, это должно быть, поэтому собственный драйвер nvidia и основной драйвер nouveau не будут соперничать за управление вашим адаптером дисплея.
В моей системе у меня есть
$ cat /etc/modprobe.d/nvidia-installer-disable-nouveau.conf
# generated by nvidia-installer
blacklist i915
blacklist nouveau
options nouveau modeset=0

У вас может быть файл с похожим содержимым с другим именем. Если у вас вообще нет ссылок на черный список в ваших конфигурациях modprobe, вы можете попробовать создать файл с этим содержимым и внести его в каталог /etc/modprobe.d или его моральный эквивалент на Mint.

Давайте будем гением компьютера.